Subject: bug#12504: `bookmark-rename' and `bookmark-maybe-historicize-string'

From: Karl Fogel <[email-masked]>
Date: Mon, 01 Oct 2012 17:31:29 -0500

"Drew Adams" <[email-masked]> writes:
>Thanks.  But again, this really is not specific to bookmark commands.  A more
>general solution should be found, IMO.
>
>For bookmark.el, I would be happy if we did not try to add menu-invoked
>commands to the histry, and we just waited for a general solution.
>
>But I would also be happy if you implement a bookmark.el solution that
>does what we mentioned above: add to the history only when invoked by
>the user, interactively (menu or keys).

Understood -- and thank you for laying out the options so clearly!